Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.maltparser.core.syntaxgraph.headrules
Enum PrioSetMember.RelationToPrevMember

    java.lang.Object
      java.lang.Enum<PrioSetMember.RelationToPrevMember>
          org.maltparser.core.syntaxgraph.headrules.PrioSetMember.RelationToPrevMember

All Implemented Interfaces:
  Serializable, Comparable<PrioSetMember.RelationToPrevMember>

Enclosing class:
  PrioSetMember

    protected static enum PrioSetMember.RelationToPrevMember

extends Enum<PrioSetMember.RelationToPrevMember>

Enum Constant Summary
`CONJUNCTION`
`DISJUNCTION`
`START`

Method Summary
`static PrioSetMember.RelationToPrevMember` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PrioSetMember.RelationToPrevMember[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### START

    public static final PrioSetMember.RelationToPrevMember START

### DISJUNCTION

    public static final PrioSetMember.RelationToPrevMember DISJUNCTION

### CONJUNCTION

    public static final PrioSetMember.RelationToPrevMember CONJUNCTION

Method Detail

### values

    public static PrioSetMember.RelationToPrevMember[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PrioSetMember.RelationToPrevMember c : PrioSetMember.RelationToPrevMember.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PrioSetMember.RelationToPrevMember valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.